Bug 76281 - hda=noprobe oopses
Summary: hda=noprobe oopses
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-19 03:57 UTC by Pete Zaitcev
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-31 09:57:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Serial console trace (5.56 KB, text/plain)
2002-10-19 03:58 UTC, Pete Zaitcev
no flags Details

Description Pete Zaitcev 2002-10-19 03:57:38 UTC
In 2.4.18-17.7.xsmp, hda=noprobe causes an oops on boot:

Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide-floppy driver 0.99.newide
Unable to handle kernel NULL pointer dereference at virtual address 000000ad
 printing eip:
c01c18fa
*pde = 00000000
Oops: 0000

CPU:    0
EIP:    0010:[<c01c18fa>]    Not tainted
EFLAGS: 00010086

EIP is at idedisk_capacity [kernel] 0xa (2.4.18-17.7.xsmp)
eax: 00000000   ebx: c03e5664   ecx: c03e5664   edx: c03e5664
esi: 00000000   edi: c03e5620   ebp: c10e3de0   esp: c106ff80
ds: 0018   es: 0018   ss: 0018
Process swapper (pid: 1, stackpage=c106f000)
Stack: c01a913e c03e5664 c01a9180 c03e5664 00000009 c03e5620 c03e5960 0008e000
       c0357bbb c03e5620 c0371954 c0343fc0 c03e1a9c c03561ff c0258080 00000030
       0000000c c0256720 c0105000 c035621f c0344778 c106e000 c03447c9 c0105078
Call Trace: [<c01a913e>] current_capacity [kernel] 0x1e (0xc106ff80))
[<c01a9180>] ide_geninit [kernel] 0x30 (0xc106ff88))
[<c0105000>] stext [kernel] 0x0 (0xc106ffc8))
[<c0105078>] init [kernel] 0x28 (0xc106ffdc))
[<c0105000>] stext [kernel] 0x0 (0xc106ffe8))
[<c01072c6>] kernel_thread [kernel] 0x26 (0xc106fff0))
[<c0105050>] init [kernel] 0x0 (0xc106fff8))


Code: f6 80 ad 00 00 00 04 74 11 31 d2 8a 91 c8 00 00 00 8b 81 e0
 <0>Kernel panic: Attempted to kill init!

Comment 1 Pete Zaitcev 2002-10-19 03:58:26 UTC
Created attachment 81064 [details]
Serial console trace

Comment 2 Arjan van de Ven 2002-10-19 07:46:32 UTC
question: what do you need hda=noprobe for ?

Comment 3 Pete Zaitcev 2002-10-19 14:09:21 UTC
The system locks up if IDE IRQs are probed.


Comment 4 Pete Zaitcev 2002-12-31 09:57:47 UTC
2.4.18-19 does not lock, but it loses interrupt 14, so it works with noapic
at least.


Note You need to log in before you can comment on or make changes to this bug.